package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbpMapper {
    int insert(Dbp record);

    int insertSelective(Dbp record);

    int updateByPrimaryKeySelective(Dbp record);

    int updateByPrimaryKey(Dbp record);

    int deleteByPrimaryKey(Dbp record);

    int deleteByIds(Collection<Object> collection);

    Dbp selectByPrimaryKey(Dbp record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbp> dyncRead(Map<String,Object> dyncMap);

    Dbp selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbp selectByTmpref(@Param("tmpref")String tmpref);
}
